import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi } from '/@/api/tigerapi/wms/wms_item';
import { h } from 'vue';
import { Tag, Tooltip } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '工单编码',
    dataIndex: 'WORK_ORDER',
    width:200,
    sorter: true,
    resizable:true
  },
  {
    title: '产线线别',
    dataIndex: 'LINE_CODE',
    width: 200,
    sorter: true,
    resizable:true
  },
  {
    title: '机器编码',
    dataIndex: 'SMT_CODE',
    width: 200,
    sorter: true,
    resizable:true
  },
  {
    title: '板面',
    dataIndex: 'PCB_SURFACE',
    width: 100,
    sorter: true,
    resizable:true
  },
  {
    title: '槽位',
    dataIndex: 'SLOT_NO',
    width: 100,
    sorter: true,
    resizable:true
  },
  {
    title: '飞达类型代码',
    dataIndex: 'FEEDER_TYPE',
    width: 100,
    sorter: true,
    resizable:true
  },
  {
    title: '飞达代码',
    dataIndex: 'FEEDER_CODE',
    width: 200,
    sorter: true,
    resizable:true
  },
  {
    title: 'Upn',
    dataIndex: 'SOLDER_UPN',
    width: 200,
    sorter: true,
    resizable:true
  },
  // {
  //   title: '类型',
  //   dataIndex: 'TYPE',
  //   width: 100,
  //   sorter: true,
  //   resizable:true,
  //   customRender: ({ record }) => {
  //     const status = record.TYPE;
  //     var text = '';
  //     var color = '';
  //     switch (status) {
  //       case '0':
  //         text = '锡膏';
  //         color = 'green';
  //         break;
  //       case '1':
  //         text = '胶水';
  //         color = 'blue';
  //         break;
  //       default:
  //         break;
  //     }
  //     return h(Tooltip, { title: 'xxxxxx' }, () => h(Tag, { color: color }, () => text));
  //   },
  // },
  {
    title: '物料代码',
    dataIndex: 'ITEM_CODE',
    width:200,
    sorter: true,
    resizable:true
  },
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width:100,
    sorter: true,
    resizable:true
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'LINE_CODE',
    label: '产线线别',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'WORK_ORDER',
    label: '工单编码',
    component: 'Input',
    colProps: { span: 8 },
  }
];
